with GNATCOM.Dispinterface;

package MSHTML.IHTMLTextRangeMetrics2_Interface is

   type IHTMLTextRangeMetrics2_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLTextRangeMetrics2_Type);

   function Pointer (This : IHTMLTextRangeMetrics2_Type)
     return Pointer_To_IHTMLTextRangeMetrics2;

   procedure Attach (This    : in out IHTMLTextRangeMetrics2_Type;
                     Pointer : in     Pointer_To_IHTMLTextRangeMetrics2);

   function getClientRects
     (This     : IHTMLTextRangeMetrics2_Type)
     return Pointer_To_IHTMLRectCollection;

   function getBoundingClientRect
     (This  : IHTMLTextRangeMetrics2_Type)
     return Pointer_To_IHTMLRect;

end MSHTML.IHTMLTextRangeMetrics2_Interface;

